# Create defaultDimensions for entities
Creates the default dimensions for entities in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/defaultDimensions({id})
POST businesscentralPrefix/companies({id})/items({id})/defaultDimensions({id})
POST businesscentralPrefix/companies({id})/customers({id})/defaultDimensions({id})
POST businesscentralPrefix/companies({id})/vendors({id})/defaultDimensions({id})
POST businesscentralPrefix/companies({id})/employees({id})/defaultDimensions({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of defaultDimensions object.
## Response
If successful, this method returns ```201 Created``` response code and a defaultDimensions object in the response body.
## Example
Request
Here's an example of a request.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/defaultDimensions
POST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/vendors({vendorId})/defaultDimensions
POST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/employees({employeeId})/defaultDimensions
POST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/customers({customerId})/defaultDimensions

```
Request body
```json
{
    "parentId":"b3fbe87a-61b8-4a6c-85de-0555f1627a67",
    "dimensionId":"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a",
    "dimensionValueId":"1045a902-070a-4d31-b2b1-b9431e9e5b26",
    "postingValidation":"Same Code"
}
```
Response
```json
{
    "id": "5b049aad-bde4-ea11-bbf2-00155df3a615",
    "parentId": "b3fbe87a-61b8-4a6c-85de-0555f1627a67",
    "dimensionId": "d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a",
    "dimensionCode": "DEPARTMENT",
    "dimensionValueId": "1045a902-070a-4d31-b2b1-b9431e9e5b26",
    "dimensionValueCode": "SALES",
    "postingValidation": "Same Code"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_defaultdimension
dynamics_defaultdimension_get
dynamics_defaultdimension_delete
dynamics_defaultdimension_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_create/
